/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5725-E59
*
* (c) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/

package com.ibm.pim.services.common;

import java.util.List;

/**
 * The class <code>ServiceResponse</code> is a common object for service response.
 * <p>
 *
 * @author maobing
 * @since 9.0.0
 *
 */
public class ServiceResponse
{
    public static final int FAILED = -1;
    public static final int SUCCEEDED = 0;
    
    int status = FAILED;
    List<String> results = null;
    ServiceRequest request = null;
    
    /**
     * Default Constructor.
     */
    public ServiceResponse()
    {
    }
    
    /**
     * Constructor with the original request.
     * <p>
     * @param request
     */
    public ServiceResponse(ServiceRequest request)
    {
        super();
        this.request = request;
    }
    
    public int getStatus()
    {
        return status;
    }
    public void setStatus(int status)
    {
        this.status = status;
    }
    public List<String> getResults()
    {
        return results;
    }
    public void setResults(List<String> results)
    {
        this.results = results;
    }
    public ServiceRequest getRequest()
    {
        return request;
    }
    public void setRequest(ServiceRequest request)
    {
        this.request = request;
    }
}
