/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5725-E59
*
* (c) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/

package com.ibm.pim.services.objects;

/**
 * The class <code>Attribute</code> is a value object for attribute.
 * <p>
 *
 * @author maobing
 * @since 9.0.0
 *
 */
public class Attribute
{
	private int id;
    private String name;
    private String type;
    private String value;
    private int order;
    private boolean deleted;
    private boolean isRoot;
    private String path;    
    private boolean isPrimaryKey;
    

    /**
     * Default constructor.
     */
    Attribute(){
    	
    }
    
    public Attribute(int id, String name, String path, String value, String type, int order, boolean deleted, boolean isRoot, boolean isPrimaryKey){
    	this.id = id;
    	this.name = name;
    	this.path = path;
    	this.value = value;
    	this.type = type;    	
    	this.order = order;
    	this.deleted = deleted;
    	this.isRoot = isRoot;
    	this.isPrimaryKey = isPrimaryKey;
    }
    

    public Attribute(com.ibm.pim.attribute.AttributeDefinition pimAttribute){
        this.id = pimAttribute.getId();
        this.name = pimAttribute.getName();
        this.path = pimAttribute.getPath();
        //this.value = pimAttribute.get;
        this.type = String.valueOf( pimAttribute.getType() );       
        //this.order = pimAttribute.get;
        //this.deleted = pimAttribute.;
        this.isRoot = pimAttribute.isSpecRoot();
        this.isPrimaryKey = pimAttribute.isPrimaryKey();
    }

    public Attribute(String name, String type, String value) 
    {
        this.name = name;
        this.type = type;
        this.value = value;
    }

    /**
     * @return Returns the name.
     */
    public String getName()
    {
        return name;
    }

    /**
     * @param name The name to set.
     */
    public void setName(String name)
    {
        this.name = name;
    }

    /**
     * @return Returns the type.
     */
    public String getType()
    {
        return type;
    }

    /**
     * @param type The type to set.
     */
    public void setType(String type)
    {
        this.type = type;
    }

    /**
     * @return Returns the value.
     */
    public String getValue()
    {
        return value;
    }

    /**
     * @param value The value to set.
     */
    public void setValue(String value)
    {
        this.value = value;
    }

	public int getOrder() {
		return order;
	}

	public void setOrder(int order) {
		this.order = order;
	}

	public boolean isDeleted() {
		return deleted;
	}

	public void setDeleted(boolean deleted) {
		this.deleted = deleted;
	}

	public boolean isRoot() {
		return isRoot;
	}

	public void setRoot(boolean isRoot) {
		this.isRoot = isRoot;
	}

	public String getPath() {
		return path;
	}

	public void setPath(String path) {
		this.path = path;
	}

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}
	
	public boolean isPrimaryKey() {
		return isPrimaryKey;
	}

	public void setPrimaryKey(boolean primaryKey) {
		this.isPrimaryKey = primaryKey;
	}


}
