/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5725-E59
*
* (c) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/

package com.ibm.pim.services.objects;
import java.util.Collection;
/**
 * The class <code>Category</code> is a value object for category.
 * <p>
 *
 * @author maobing
 * @since 9.0.0
 *
 */
public class Category extends Entry
{
    private String categoryPath;
    private String pathValue;
    private String primaryKeyValue;
    private Collection<Integer> categoryIds;
    private int parentCategoryId;
    private String parentCategoryPath;
    private String delimiter;
        
    /**
     * Default constructor.
     */
    public Category()
    {
        super();
    }
    
    public Category(Collection<Integer> categoryIds, int parentCategoryId,String pathValue,String primaryKeyValue, String parentCategoryPath, String delimiter)
    {
        this.categoryIds = categoryIds;
        this.parentCategoryId = parentCategoryId;
        this.pathValue = pathValue;
        this.primaryKeyValue = primaryKeyValue;
        this.parentCategoryPath = parentCategoryPath;
        this.delimiter = delimiter;
    }
    
    public Collection<Integer> getCategoryIds()
    {
        return categoryIds;
    }
    
    public void setCategoryIds(Collection<Integer> categoryIds)
    {
        this.categoryIds = categoryIds;
    }
    
    public String getpathValue()
    {
        return pathValue;
    }
    
    public void setPathValue(String pathValue)
    {
        this.pathValue = pathValue;
    }
    
    public String getPrimaryKeyValue()
    {
        return primaryKeyValue;
    }
    
    public void setPrimaryKeyValue(String primaryKeyValue)
    {
        this.primaryKeyValue = primaryKeyValue;
    }
    
    public int getParentCategoryId()
    {
        return parentCategoryId;
    }
    
    public void setParentCategoryId(int parentCategoryId)
    {
        this.parentCategoryId = parentCategoryId;
    }
    
    public String getparentCategoryPath()
    {
        return parentCategoryPath;
    }
    
    public void setparentCategoryPath(String parentCategoryPath)
    {
        this.parentCategoryPath = parentCategoryPath;
    }
    
    public String getdelimiter()
    {
        return delimiter;
    }
    
    public void setdelimiter(String delimiter)
    {
        this.delimiter = delimiter;
    }
    
    /**
     * @return Returns the categoryPath.
     */
    public String getCategoryPath()
    {
        return categoryPath;
    }
    /**
     * @param categoryPath The categoryPath to set.
     */
    public void setCategoryPath(String categoryPath)
    {
        this.categoryPath = categoryPath;
    }
}
