/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5725-E59
*
* (c) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/

package com.ibm.pim.services.objects;

import java.util.List;

/**
 * The class <code>Entry</code> is a value object for generic entry.
 * <p>
 *
 * @author maobing
 * @since 9.0.0
 *
 */
public class Entry
{

    /**
     * Default Item id.
     */
    public static final int INVALID_ID = -1;
    protected int id;
    protected String primaryKey;
    protected String displayName;
    protected List<Attribute> attributes;
    protected String containerName;

    /**
     * Default constructor.
     */
    public Entry()
    {
    }

    /**
     * @return Returns the id.
     */
    public int getId()
    {
        return id;
    }

    /**
     * @param id The id to set.
     */
    public void setId(int id)
    {
        this.id = id;
    }

    /**
     * @return Returns the primaryKey.
     */
    public String getPrimaryKey()
    {
        return primaryKey;
    }

    /**
     * @param primaryKey The primaryKey to set.
     */
    public void setPrimaryKey(String primaryKey)
    {
        this.primaryKey = primaryKey;
    }

    /**
     * @return Returns the displayName.
     */
    public String getDisplayName()
    {
        return displayName;
    }

    /**
     * @param displayName The displayName to set.
     */
    public void setDisplayName(String displayName)
    {
        this.displayName = displayName;
    }

    /**
     * @return Returns the attributes.
     */
    public List<Attribute> getAttributes()
    {
        return attributes;
    }

    /**
     * @param attributes The attributes to set.
     */
    public void setAttributes(List<Attribute> attributes)
    {
        this.attributes = attributes;
    }

    /**
     * @return Returns the containerName.
     */
    public String getContainerName()
    {
        return containerName;
    }

    /**
     * @param containerName The containerName to set.
     */
    public void setContainerName(String containerName)
    {
        this.containerName = containerName;
    }

}
