/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5725-E59
*
* (c) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/

package com.ibm.pim.services.objects;

/**
 * The class <code>Hierarchy</code> is a value object for hierarchy.
 * <p>
 *
 * @author maobing
 * @since 9.0.0
 *
 */
public class Hierarchy extends Container
{
    private Spec spec;
    private String pathAttributeName;
    //private String customParameterName;
    //private String customParameterValue;
    //private String attributeCollectionName;
    
    /**
     * Default constructor.
     */
    public Hierarchy()
    {
    }
    
    /*public Hierarchy(Spec spec, String name)
    {
        this.spec = spec;
        this.name = name;
    }*/
    
    public Hierarchy(Spec spec, String name, String pathAttributeName, AccessControlGroup accessControlGroup, String displayAttributeName)
    {
        this.spec = spec;
        this.name = name;
        this.pathAttributeName = pathAttributeName;
        this.accessControlGroup = accessControlGroup;
        this.displayAttributeName = displayAttributeName;
        
    }
    
    public Hierarchy(com.ibm.pim.hierarchy.Hierarchy pimHierarchy)
    {
        super();
        this.spec = new Spec(pimHierarchy.getPrimarySpec());
        this.name = pimHierarchy.getName();
        this.displayAttributeName = pimHierarchy.getDisplayAttribute().getName();
        //this.displayAttributeName = new Attribute(pimHierarchy.getDisplayAttribute().getId(), pimHierarchy.getDisplayAttribute().getName(), pimHierarchy.getDisplayAttribute().getPath(), null, String.valueOf(pimHierarchy.getDisplayAttribute().getType()), -1, false, false, pimHierarchy.getDisplayAttribute().isPrimaryKey());
        this.pathAttributeName = pimHierarchy.getPathAttribute().getName();
        this.accessControlGroup = new AccessControlGroup(pimHierarchy.getAccessControlGroup());    
    }

    public Spec getSpec()
    {
        return spec;
    }
    
    public void setSpec(com.ibm.pim.services.objects.Spec spec)
    {
        this.spec = spec;
    }
    
    public String getPathAttributeName()
    {
        return pathAttributeName;
    }
    
    public void setPathAttributeName(String pathAttributeName)
    {
        this.pathAttributeName = pathAttributeName;
    }
    /*
    //get customParameterName
    public String getCustomParameterName()
    {
        return customParameterName;
    }
    
    //set viewName
    public void setCustomParameterName(String customParameterName)
    {
        this.customParameterName = customParameterName;
    }
    
    //get customParameterValue
    public String getCustomParameterValue()
    {
        return customParameterValue;
    }
    
    //set viewName
    public void setCustomParameterValue(String customParameterValue)
    {
        this.customParameterValue = customParameterValue;
    }*/
    
    /*//get attributeCollectionName
    public String getAttributeCollectionName() {
        return attributeCollectionName;
    }

    //set attributeCollectionName
    public void setAttributeCollectionName(String attributeCollectionName) {
        this.attributeCollectionName = attributeCollectionName;
    }*/
}
