/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5725-E59
*
* (c) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/

package com.ibm.pim.services.objects;


/**
 * The class <code>Item</code> is a value object.
 * <p>
 *
 * @author maobing, uttama
 * @since 9.0.0
 *
 */
public class Item extends Entry
{
    /**
     * Default constructor.
     */
    public Item()
    {
        this(INVALID_ID, null, null);
    }

    public Item(int id, String primaryKey, String displayName)
    {
        this.id = id;
        this.primaryKey = primaryKey;
        this.displayName = displayName;
    }
    
    /**
     * Construct an Item object from PIM Item object.
     * <p>
     * @param pimItem the PIM Item object.
     */
    public Item(com.ibm.pim.catalog.item.Item pimItem)
    {
        super();
        this.id = pimItem.getId();
        this.primaryKey = pimItem.getPrimaryKey();
        this.displayName = pimItem.getDisplayName();
        this.containerName = pimItem.getCatalog().getName();        
    }
}
