/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5725-E59
*
* (c) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/

package com.ibm.pim.services.objects;


/**
 * The class <code>Report</code> is a value object for report.
 * <p>
 *
 * @author maobing, uttama
 * @since 9.0.0
 *
 */
public class Report extends Job
{
    private String reportScriptFileName;
    private String inputSpecName;
    private String distributionName;

    /**
     * Default Constructor.
     */
    public Report()
    {
        this(INVALID_ID, null, null, null, null, null);
    }
    
    /**
     * Construct a new Report object.
     * <p>
     * @param id
     * @param name
     * @param type
     * @param description
     * @param reportScriptFileName
     * @param inputSpecName
     * @param distributionName
     */
    public Report(int id, String name, String description, String reportScriptFileName, String inputSpecName, String distributionName)
    {
        super(id, name, description);
        this.reportScriptFileName = reportScriptFileName;
        this.inputSpecName = inputSpecName;
        this.distributionName = distributionName;
        
        this.type = REPORT;
    }

    /**
     * @param pimJob
     */
    public Report(com.ibm.pim.job.Report pimReport)
    {
        super(pimReport);        
        this.reportScriptFileName = pimReport.getScript().getName();
        this.inputSpecName = pimReport.getScriptInputSpec().getName();
        this.distributionName = pimReport.getDistribution().getName();
        this.id = pimReport.getId();
        this.type = REPORT;
    }

    /**
     * @return Returns the reportScriptFileName.
     */
    public String getReportScriptFileName()
    {
        return reportScriptFileName;
    }

    /**
     * @param reportScriptFileName The reportScriptFileName to set.
     */
    public void setReportScriptFileName(String reportScriptFileName)
    {
        this.reportScriptFileName = reportScriptFileName;
    }

    /**
     * @return Returns the inputSpecName.
     */
    public String getInputSpecName()
    {
        return inputSpecName;
    }

    /**
     * @param inputSpecName The inputSpecName to set.
     */
    public void setInputSpecName(String inputSpecName)
    {
        this.inputSpecName = inputSpecName;
    }

    /**
     * @return Returns the distributionName.
     */
    public String getDistributionName()
    {
        return distributionName;
    }

    /**
     * @param distributionName The distributionName to set.
     */
    public void setDistributionName(String distributionName)
    {
        this.distributionName = distributionName;
    }

}
