/*********************************************** {COPYRIGHT-TOP} ***
* IBM Confidential
* OCO Source Materials
* 5725-E59
*
* (c) Copyright IBM Corp. 2000, 2012 All Rights Reserved.
*
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has been
* deposited with the U.S. Copyright Office.
************************************************ {COPYRIGHT-END} **/

package com.ibm.pim.services.objects;

//import java.util.ArrayList;
import java.util.List;
//import java.util.Locale;

import com.ibm.pim.services.utils.AttributeHelper;
/**
 * The class <code>Spec</code> is a value object for specification.
 * <p>
 *
 * @author maobing, rohit
 * @since 9.0.0
 *
 */
public class Spec
{
    private String name;
    private String type;
    //private List<Locale> locales;
    private List<Attribute> attributes;
    private Boolean isLocalized;
    private int id;
    private Spec subSpec = null;
    private String fileSpecType;

    /*Default constructor*/
    public Spec(){        
    }
    
    //to create spec for spectype=filespec
    public Spec(int id, String name, String type, List<Attribute> attributes, Boolean isLocalized, String fileSpecType ){
        this.id = id;
        this.name = name;
        this.type = type;
        //this.locales = locales;
        this.attributes = attributes;
        this.isLocalized = isLocalized;
        this.fileSpecType = fileSpecType;
    }
    
    //pimspec to spec
    public Spec(com.ibm.pim.spec.Spec pimSpec){
        this.id = pimSpec.getId();
        this.name = pimSpec.getName();
        this.type = String.valueOf(pimSpec.getType());
        //this.locales = new ArrayList<Locale>(pimSpec.getLocales());
        AttributeHelper attributeHelper = new AttributeHelper();
        this.attributes = attributeHelper.attributeDefinitionsToAttributes(pimSpec.getAttributeDefinitions());
        this.isLocalized = pimSpec.isLocalized();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    /*
    public List<Locale> getLocales() {
        return locales;
    }

    public void setLocales(List<Locale> locales) {
        this.locales = locales;
    }*/

    public Spec getSubSpec() {
        return subSpec;
    }

    public void setSubSpec(Spec subSpec) {
        this.subSpec = subSpec;
    }

    public List<Attribute> getAttributes() {
        return attributes;
    }

    public void setAttributes(List<Attribute> attributes) {
        this.attributes = attributes;
    }

    public Boolean isLocalized() {
        return isLocalized;
    }

    public void setLocalized(Boolean isLocalized) {
        this.isLocalized = isLocalized;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }
    
    public String getFileSpecType() {
        return fileSpecType;
    }

    public void setFileSpecType(String fileSpecType) {
        this.fileSpecType = fileSpecType;
    }

}